require('./css/index.less');
const $ = require("jquery");
const {post,getUrlArgObject } = require('./js/util.js');
const {api} = require('./js/api.js');
const iconWarn = require("./images/icon_warn.png");
const emptyImg = require("./images/empty1.png");

let behospitalCode = getUrlArgObject("behospitalCode") ||''
let hospitalId = getUrlArgObject("hospitalId") ||''
let modeId = getUrlArgObject("modeId") || ''

function setListHei(){
    $(".flawList").css({
        height:$(window).height()-90+'px'
    })
}
setListHei()


function getFLawList(){
    post(api.analyzeRun,{behospitalCode:behospitalCode,hospitalId:hospitalId}).then(function(res){
      if(res.data.code==='0'){
        const data = res.data.data;
        renderFlawList(data)
      }else{

      }

    }).catch(e =>{
            
    });
};
getFLawList()

function renderFlawList(data){
    let str = `<table>
          <thead>
            <tr>
              <th>来源</th>
              <th>缺陷详情</th>
              <th width="105">扣分</th>
            </tr>
          </thead>
          <tbody></tbody>`;
    const flawList = data&&data.msgDTOList;
    const {level,num,numScore, scoreRes}=data;
    for(let i = 0; i < flawList.length; i++){
        /*let flawItem = `<div class="flawItem">
            <span class="flawItemIconBox"><img class="flawItemIcon" src="${iconWarn}" /></span>
            <span class="flawItemMsgBox">${flawList[i].msg}${flawList[i].info ? "("+flawList[i].info + ")" :''}</span>
            <span class="flawItemScore fr">评分: <span class="flawItemNum">-${flawList[i].score}</span></span>
        </div>`*/
      let flawItem = `<tr class="flawItem">
                        <td>${flawList[i].modelName}</td>
                        <td><div class="flawItemMsgBox">${flawList[i].msg}${flawList[i].info ? "("+flawList[i].info + ")" :''}</div></td>
                        <td class="flawItemScore"><span class="flawItemNum">${flawList[i].score}</span></td>
                       </tr>`;
        str += flawItem;
        
    }
    str+="</table>";
    if(flawList.length === 0){
        str = `
            <div class="empty">
                <img class="emptyImg" src="${emptyImg}" />
                <div class="emptyTxt">恭喜您，病例未发现缺陷</div>
            </div>
        `;
    }else{
      $("#level").text(level);
      $("#score").text(scoreRes);
      $("#num").text(num);
      $("#flawMark").text(numScore);
      $(".sum-box").show();
    }
    $('.flawList').html(str);
    replaceSrc();
}
function replaceSrc(){
  var browser=navigator.appName;
  var b_version=navigator.appVersion;
  var version=b_version.split(";");
  var trim_Version=version[1].replace(/[ ]/g,"");
  if(browser=="Microsoft Internet Explorer" && trim_Version=="MSIE8.0"){
    const imgs = $(".flawList img");
    let src = '';
    for(let i=0;i<imgs.length;i++){
      src = $(imgs[i]).attr("src").replace("undefined","");
      imgs.attr("src",src);
    }
  }
}

$(window).on("resize", function(){
    setListHei()
})